FCRONDYN(1)

NAME
fcrondyn - dialog dyn-amically with a running fcron daemon

SYNOPSIS
fcrondyn [ -c file ] [ -i ] fcrondyn [ -c file ] -x command fcrondyn [ -h ]

DESCRIPTION

Fcrondyn is a user tool intended to interact with a running fcron daemon. It can, for instance, list user's jobs loaded by fcron, run one of them, renice a running job, send a signal to a running job, etc.

OPTIONS

-i  Run fcrondyn in interactive mode. fcrondyn is also run in interactive mode when no option is given.

-x command
    Run command and returns immediately. See below for syntax and a list of commands.

-c file
    Make fcrondyn use config file file instead of default config file /usr/local/etc/fcron.conf. To interact with a running fcron process, fcrondyn must use the same config file as the process. That way, several fcron processes can run simultaneously on an only system.

-d  Run in debug mode. In this mode, many informational messages will be output in order to check if anything went wrong.

-h  Display a brief description of the options.

-V  Display an informational message about fcrondyn, including its version and the license under which it is distributed.

COMMAND DESCRIPTION

Fcrondyn's command syntax is the following:

    command arg1 arg2 [...]

An argument of a fcrondyn command is of one of the following type: "ARGUMENT TYPES OF FCRONDYN'S COMMANDS"

user
    A valid user name.

jobid
    A job id given by one of fcrondyn's ls* commands (i.e. an integer).

sig A signal number, or its name (case does not matter). For instance, "term" or "15".

niceval
    A job priority value. A niceval is an integer from -20 (highest priority) to 19 (lowest) (only root is allowed to use a negative value with this option).

Last, but not least, the following commands are recognized (optional arguments are between []): "VALID FCRONDYN'S COMMANDS"

help

h   Print an help message about fcrondyn's commands.

quit

q   In interactive mode, quit fcrondyn.

ls [user]
    List all jobs of user. When ls is run by root, all users are listed unless a user name is given as argument. See below for some explanations about the fields used by ls* commands.

ls_lavgq [user]
    Same as ls, but list only the jobs which are in the load-average queue (i.e. which are waiting for a lower load average to be run).

ls_serialq [user]
    Same as ls, but list only the jobs which are in the serial queue (i.e. which are waiting for other jobs to be finished).

ls_exeq [user]
    Same as ls, but list only the jobs which are running.

detail jobid
    Print details about a job. jobid is the one given by ls.

runnow jobid
    Instead of waiting for the next scheduled execution time, run the job now. The next execution time is changed as if the job had run on schedule.

run jobid
    Run the job now. Its next execution time is not changed.

kill sig jobid
    Send a signal to a running job.

renice niceval jobid
    Change the priority of a running job. "FIELDS USED BY DETAIL AND LS* COMMANDS"

ID  Job's unique identification number.

USER
    User who owns this job.

PID The pid of the running job.

INDEX
    Index of the job in the serial queue (i.e. it will be run when all the jobs of an inferior index have been run)

R&Q The job has this number instances of the given task which are either running or queued in the serial or lavg queue.

OPTIONS
    List of main options which are set for the task. L for the jobs which run only under a given system Load average (option lavg, lavg1, lavg5 and lavg15), LO (Load average Once) if only at most one instance of the task can be in the load average queue at a given time (option lavgonce), S for serialized jobs (option serial), SO for the jobs which will be serialized only for the next execution (Serial Once), and ES if several instances of the same job can run simultaneously (option exesev).

LAVG
    3 values, corresponding to the 1, 5, and 15-minute (in this order) system load average values below which the job will be run, otherwise it will be queued until the system load average is appropriate (see lavg option).

UNTIL
    Field corresponding to the until option.

STRICT
    Field corresponding to the strict option. Y for yes, N for no.

SCHEDULE
    Next run is scheduled at this time and date. Please note that fcrondyn prints the next execution time and date in the time zone of the system where fcron is running, and not the time zone which can be defined for using option timezone.

CMD The command that will be executed.

RETURN VALUES

Fcrondyn returns 0 on normal exit and 1 on error.

CONFORMING TO

Should be POSIX compliant.

FILES

/usr/local/etc/fcron.conf
    Configuration file for fcron, fcrontab and fcrondyn: contains paths (spool dir, pid file) and default programs to use (editor, shell, etc). See fcron.conf(5) for more details.

/usr/local/etc/fcron.allow
    Users allowed to use fcrontab and fcrondyn (one name per line, special name "all" acts for everyone)

/usr/local/etc/fcron.deny
    Users who are not allowed to use fcrontab and fcrondyn (same format as allow file)

/usr/local/etc/pam.d/fcron (or /usr/local/etc/pam.conf)
    PAM configuration file for fcron. Take a look at pam(8) for more details.

SEE ALSO
fcrontab(1), fcrondyn(1), fcrontab(5), fcron.conf(5), fcron(8). If you're learning how to use fcron from scratch, I suggest that you read the HTML version of the documentation (if your are not reading it right now! :) ): the content is the same, but it is easier to navigate thanks to the hyperlinks.

AUTHOR

Thibault Godouet <fcron@free.fr>